Version française
Home     About     Download     Resources     Contact us    
Browse thread
glibc and ocaml/libasmrun.a
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Radu Grigore <radugrigore@g...>
Subject: Re: glibc and ocaml/libasmrun.a
Update. I managed to get acces to an older distribution (RH7) and the
executable compiled with:

>   ocamlopt -ccopt -static collect_events.ml

worked in spite of:

>   /usr/local/lib/ocaml/libasmrun.a(unix.o)(.text+0x241): In function
> `caml_dlopen':
>   warning: Using 'dlopen' in statically linked applications requires
> at runtime the shared libraries from the glibc version used for
> linking

I'd still like to know what exactly is going on. I have the OCaml
compiler sources here so maybe you could provide a pointer where to
look?

-- 
regards,
 radu
http://rgrig.idilis.ro/